CVE-2010-0734

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

content_encoding.c in libcurl 7.10.5 through 7.19.7, when zlib is enabled, does not properly restrict the amount of callback data sent to an application that requests automatic decompression, which might allow remote attackers to cause a denial of service (application crash) or have unspecified other impact by sending crafted compressed data to an application that relies on the intended data-length limit.

References

http://curl.haxx.se/docs/adv_20100209.html

http://curl.haxx.se/docs/security.html#20100209

http://curl.haxx.se/libcurl-contentencoding.patch

http://lists.apple.com/archives/security-announce/2010//Jun/msg00001.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-March/036744.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-March/037143.html

http://secunia.com/advisories/38843

http://secunia.com/advisories/38981

http://secunia.com/advisories/39087

http://secunia.com/advisories/39734

http://secunia.com/advisories/40220

http://secunia.com/advisories/45047

http://secunia.com/advisories/48256

http://security.gentoo.org/glsa/glsa-201203-02.xml

http://support.apple.com/kb/HT4188

http://support.avaya.com/css/P8/documents/100081819

http://wiki.rpath.com/Advisories:rPSA-2010-0072

http://www.debian.org/security/2010/dsa-2023

http://www.mandriva.com/security/advisories?name=MDVSA-2010:062

http://www.openwall.com/lists/oss-security/2010/02/09/5

http://www.openwall.com/lists/oss-security/2010/03/09/1

http://www.openwall.com/lists/oss-security/2010/03/16/11

http://www.redhat.com/support/errata/RHSA-2010-0329.html

http://www.securityfocus.com/archive/1/514490/100/0/threaded

http://www.securityfocus.com/archive/1/516397/100/0/threaded

http://www.ubuntu.com/usn/USN-1158-1

http://www.vmware.com/security/advisories/VMSA-2011-0003.html

http://www.vupen.com/english/advisories/2010/0571

http://www.vupen.com/english/advisories/2010/0602

http://www.vupen.com/english/advisories/2010/0660

http://www.vupen.com/english/advisories/2010/0725

http://www.vupen.com/english/advisories/2010/1481

https://bugzilla.redhat.com/show_bug.cgi?id=563220

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10760

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6756

Details

Source: MITRE

Published: 2010-03-19

Updated: 2018-10-10

Type: CWE-264

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:curl:libcurl:7.10.5:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.6:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.7:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.8:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.11.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.11.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.11.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.13:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.13.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.13.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.14:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.14.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.16.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.17.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.17.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.18.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.18.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.18.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.4:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.5:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.6:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.7:*:*:*:*:*:*:*

Tenable Plugins

View all (23 total)

IDNameProductFamilySeverity
89742VMware ESX Multiple Vulnerabilities (VMSA-2010-0015) (remote check)NessusVMware ESX Local Security Checks
critical
89674VMware ESX / ESXi Third-Party Libraries Multiple Vulnerabilities (VMSA-2011-0003) (remote check)NessusMisc.
critical
68025Oracle Linux 3 / 4 : curl (ELSA-2010-0329)NessusOracle Linux Local Security Checks
medium
60765Scientific Linux Security Update : curl on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
medium
60764Scientific Linux Security Update : curl on SL4.x i386/x86_64NessusScientific Linux Local Security Checks
medium
60763Scientific Linux Security Update : curl on SL3.x i386/x86_64NessusScientific Linux Local Security Checks
medium
58811HP System Management Homepage < 7.0 Multiple VulnerabilitiesNessusWeb Servers
critical
58212GLSA-201203-02 : cURL: Multiple vulnerabilities (BEAST)NessusGentoo Local Security Checks
high
55414Ubuntu 8.04 LTS / 10.04 LTS / 10.10 / 11.04 : curl vulnerabilities (USN-1158-1)NessusUbuntu Local Security Checks
high
51971VMSA-2011-0003 : Third-party component updates for VMware vCenter Server, vCenter Update Manager, ESXi and ESXNessusVMware ESX Local Security Checks
high
49703VMSA-2010-0015 : VMware ESX third-party updates for Service ConsoleNessusVMware ESX Local Security Checks
critical
47295Fedora 12 : curl-7.19.7-7.fc12 (2010-2762)NessusFedora Local Security Checks
medium
47292Fedora 11 : curl-7.19.7-5.fc11 (2010-2720)NessusFedora Local Security Checks
medium
800793Mac OS X 10.6 < 10.6.4 Multiple VulnerabilitiesLog Correlation EngineOperating System Detection
high
5571Mac OS X 10.6 < 10.6.4 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
47024Mac OS X Multiple Vulnerabilities (Security Update 2010-004)NessusMacOS X Local Security Checks
high
47023Mac OS X 10.6.x < 10.6.4 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
high
46290RHEL 3 / 4 : curl (RHSA-2010:0329)NessusRed Hat Local Security Checks
medium
46288RHEL 5 : curl (RHSA-2010:0273)NessusRed Hat Local Security Checks
medium
45574FreeBSD : curl -- libcurl buffer overflow vulnerability (c8c31c41-49ed-11df-83fb-0015587e2cc1)NessusFreeBSD Local Security Checks
medium
45442CentOS 3 / 4 : curl (CESA-2010:0329)NessusCentOS Local Security Checks
medium
45369Debian DSA-2023-1 : curl - buffer overflowNessusDebian Local Security Checks
medium
45115Mandriva Linux Security Advisory : curl (MDVSA-2010:062)NessusMandriva Local Security Checks
medium